condor_fetchlog(1)

Name

condor_fetchlogRetrieve a daemon's log file that is located on another computer

Synopsis
condor_fetchlog[-help | -version]

condor_fetchlog[-pool centralmanagerhostname[:portnumber]] [-master | -startd | -schedd | -collector | -negotiator | -kbdd] machine-namesubsystem[.extension]

Description

condor_fetchlogcontacts HTCondor running on the machine specified by machine-name, and asks it to return a log file from that machine. Which log file is determined from the subsystem[.extension]argument. The log file is printed to standard output. This command eliminates the need to remotely log in to a machine in order to retrieve a daemon's log file.

For security purposes of authentication and authorization, this command requires ADMINISTRATORlevel of access.

The subsystem[.extension]argument is utilized to construct the log file's name. Without an optional .extension, the value of the configuration variable named subsystem_LOG defines the log file's name. When specified, the .extensionis appended to this value.

The subsystemargument is any value $(SUBSYSTEM)that has a defined configuration variable of $(SUBSYSTEM)_LOG, or any of

    * NEGOTIATOR_MATCH

    * HISTORY

    * STARTD_HISTORY

A value for the optional .extensionto the subsystemargument is typically one of the three strings:

    1. .old

    2. .slot<X>

    3. .slot<X>.oldWithin these strings, <X> is substituted with the slot number.

A subsystemargument of STARTD_HISTORYfetches all condor_startdhistory by concatenating all instances of log files resulting from rotation.

Options

-help

    Display usage information

-version

    Display version information

-pool centralmanagerhostname[:portnumber]

    Specify a pool by giving the central manager's host name and an optional port number

-master

    Send the command to the condor_masterdaemon (default)

-startd

    Send the command to the condor_startddaemon

-schedd

    Send the command to the condor_schedddaemon

-collector

    Send the command to the condor_collectordaemon

-kbdd

    Send the command to the condor_kbdddaemon

Examples
To get the condor_negotiatordaemon's log from a host named head.example.comfrom within the current pool:

condor_fetchlog head.example.com NEGOTIATOR

To get the condor_startddaemon's log from a host named execute.example.comfrom within the current pool:

condor_fetchlog execute.example.com STARTD

This command requested the condor_startddaemon's log from the condor_master. If the condor_masterhas crashed or is unresponsive, ask another daemon running on that computer to return the log. For example, ask the condor_startddaemon to return the condor_master's log:

condor_fetchlog -startd execute.example.com MASTER

Exit Status
condor_fetchlogwill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.